Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javafe.ast
Class Type

    java.lang.Object
      javafe.ast.ASTNode
          javafe.ast.Type

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  ArrayType, ErrorType, PrimitiveType, TypeName, TypeSig

public abstract class Type
extends ASTNode

Represents a Type syntactic unit.

WARNING: unlike other AST nodes, Type and it's subtypes may not have associated locations! Locations exist only if syntax is true.

Field Summary
`TypeModifierPragmaVec` | `tmodifiers` Does this AST Node have associated locations?

Fields inherited from class javafe.ast.ASTNode
`decorations`

Constructor Summary
`protected` | `Type()` Construct a raw Type whose class invariant(s) have not yet been established.

Method Summary
`void` | `check()`

Methods inherited from class javafe.ast.ASTNode
`accept, accept, childAt, childCount, clone, clone, getDecorations, getEndLoc, getStartLoc, getTag, setDecorations, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### tmodifiers

    public TypeModifierPragmaVec tmodifiers

  Does this AST Node have associated locations? True if yes.

Constructor Detail

### Type

    protected Type()

  Construct a raw Type whose class invariant(s) have not yet been established. It is the caller's job to initialize the returned node's fields so that any class invariants hold.

Method Detail

### check

    public void check()

  Overrides:
    `check` in class `ASTNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage